# eric7.Utilities.PasswordChecker

Module implementing a checker for password strength.

### Global Attributes

None

### Classes

PasswordChecker | Class implementing a checker for password strength.

### Functions

None

## PasswordChecker

Class implementing a checker for password strength.

### Derived from

None

### Class Attributes

Complexity_Good
Complexity_Strong
Complexity_VeryStrong
Complexity_VeryWeak
Complexity_Weak
Status_Exceeded
Status_Failed
Status_Passed

### Class Methods

None

### Methods

PasswordChecker | Constructor
__determineBinaryStatus | Private method to determine a binary status.
__determineStatus | Private method to determine the status.
__strReverse | Private method to reverse a string.
checkPassword | Public method to check a given password.

### Static Methods

None

#### PasswordChecker (Constructor)

PasswordChecker()

Constructor

#### PasswordChecker.__determineBinaryStatus

__determineBinaryStatus(value)

Private method to determine a binary status.

value
  value to check (integer)

Return:
  status (Status_Failed, Status_Passed)

#### PasswordChecker.__determineStatus

__determineStatus(value)

Private method to determine the status.

value
  value to check (integer)

Return:
  status (Status_Failed, Status_Passed, Status_Exceeded)

#### PasswordChecker.__strReverse

__strReverse(string)

Private method to reverse a string.

string
  string to be reversed (string)

Return:
  reversed string (string)

#### PasswordChecker.checkPassword

checkPassword(password)

Public method to check a given password.

password
  password to be checked (string)

Return:
  indication for the password strength (Complexity_VeryWeak, Complexity_Weak, Complexity_Good, Complexity_Strong, Complexity_VeryStrong)

Up